
       program Nyton;
       const N=2; M=500;
       type vct=array[1..N] of real;
            tab=array[1..N] of vct;  var A:tab;
       type pp=array[1..N] of real;  var B,X,F:pp;

       procedure Func;
     var P1,P,P2,G,D1,D2,L1,L2,V,Ny,Fi,Tb,Bt,F1,F2,Ro1,Ro2,
         W1,W2,Re1,Re2,Rtr1,Rtr2,Rkr1,Rkr2,Fkr1,Fkr2,R1,R2,Lym1,Lym2:real;
    begin
        P1:=5e5; P2:=1e5; Fkr1:=0.5; Fkr2:=1;
        D1:=0.02;  D2:=0.02;  L1:=7;  L2:=8;
        Ny:=1.5e-5; Fi:=0.7; Tb:=293; Bt:=287;
        F1:=0.785*D1*D1;  F2:=0.785*D2*D2;
        Ro1:=(P1+X[2])/(2*Bt*Tb);
        Ro2:=(X[2]+P2)/(2*Bt*Tb);
        W1:=X[1]/(Ro1*F1);
        W2:=X[1]/(Ro2*F2);
        Re1:=W1*D1/Ny;
        Re2:=W2*D2/Ny;
        Lym1:=0.316/(sqrt(sqrt(Re1)));
        Lym2:=0.316/(sqrt(sqrt(Re2)));
        Rtr1:=Lym1*L1/(2*D1*Ro1*F1*F1);
        Rtr2:=Lym2*L2/(2*D2*Ro2*F2*F2);
        Rkr1:=1/(2*Ro1*Fi*Fi*F1*F1);
        Rkr2:=1/(2*Ro2*Fi*Fi*F2*F2);
        R1:=Rtr1+Rkr1/(Fkr1*Fkr1);
        R2:=Rtr2+Rkr2/(Fkr2*Fkr2);

        F[1]:=P1-X[2]-R1*X[1]*abs(X[1]);
        F[2]:=X[2]-P2-R2*X[1]*abs(X[1]);
    end;

     procedure Neton;
     label 1;
     var S,R,I,J,K,L,P:integer;
     var H,X1,E:real;
   begin   S:=0; E:=1e-5;
  1:    for I:=1 to N do
              B[I]:=-F[I];
        for J:=1 to N do
     begin X1:=X[J]; H:=E;
         X[J]:=X1+H;  Func;
         for I:=1 to N  do
        A[I,J]:=(F[I]+B[I])/H;
          X[J]:=X1;
     end;
   S:=S+1; if S=M+1 then begin write('௠ ᫮ 権'); Halt; end;
            for I:=1 to N-1 do
     begin  for J:=I+1 to N do
        begin      A[J,I]:=-A[J,I]/A[I,I];
            for K:=I+1 to N  do
                   A[J,K]:=A[J,K]+A[J,I]*A[I,K];
                   B[J]:=B[J]+A[J,I]*B[I];
        end;
     end;
                   F[N]:=B[N]/A[N,N];
            for I:=N-1  downto 1 do
      begin H:=B[I];
            for J:=I+1 to N do
            H:=H-F[J]*A[I,J];
            F[I]:=H/A[I,I];
      end;
        R:=0;
            for I:=1 to N  do
      begin X[I]:=X[I]+F[I];
                if abs(F[I])>E then R:=1;
      end;
                if R=1 then begin
                                   Func; goto 1;  end;
  writeln('   X[1]=',X[1]:5:2,' X[2]=',X[2]:7:2,'  S=',S,' H=',H:7:3);
            for L:=1 to N do begin writeln;
            for P:=1 to N do
         writeln('A[',L,P,']=',A[L,P]:5:2);
                             end;     readln;
   end;
          begin  X[1]:=3E5; X[2]:=0.1;  Func; Neton; end.


